## $Id: catalog.py 12311 2014-12-24 09:17:05Z uli $
##
## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""Components to help cataloging and searching payments.
"""
import grok
from waeup.ikoba.interfaces import ICompany
from waeup.ikoba.payments.interfaces import IPayment


class PaymentIndexes(grok.Indexes):
    """A catalog for all payments.
    """
    grok.site(ICompany)
    grok.name('payments_catalog')
    grok.context(IPayment)

    payment_id = grok.index.Field(attribute='payment_id')
    payer_id = grok.index.Field(attribute='payer_id')
    payed_item_id = grok.index.Field(attribute='payed_item_id')
    state = grok.index.Field(attribute='state')
    amount = grok.index.Field(attribute='amount')
